Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class EditList

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.util.QTVector
                        |
                        +--quicktime.streaming.EditList

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class EditList
extends QTVector

This class represents an EditListHandle structure which is a vector of EditEntry objects

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`EditList(int numberOfElements)` Creates a EditList which is an array of EditEntry objects.

Method Summary
`EditEntry` | `get(int pos)` Get a EditEntry at specified position.
`void` | `insert(EditEntry el, int pos)` Inserts an EditEntry into the vector at specified position.

Methods inherited from class quicktime.util.QTVector
`elements, getSize, isEmpty, remove, removeAll, size`

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditList

    public EditList(int numberOfElements)
             throws QTException

  Creates a EditList which is an array of EditEntry objects.
  Parameters:
    `numberOfElements` - This is the number of elements the Vector will hold - it is NOT growable

Method Detail

### insert

    public void insert(EditEntry el,
                       int pos)
                throws QTException,
                       java.lang.ArrayIndexOutOfBoundsException

  Inserts an EditEntry into the vector at specified position.

### get

    public EditEntry get(int pos)
                  throws java.lang.ArrayIndexOutOfBoundsException,
                         QTException

  Get a EditEntry at specified position.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD